/******************************************************************************
*                                             COPYRIGHT (c) MOTOROLA 2003   
* FILE NAME: swdecoder.h     REVISION 1.0                                        
*                                                                           
* PURPOSE: Switch Decoder Header File
*                                                                           
*******************************************************************************
*                                                                           
*                                                                           
* DESCRIPTION: Switch Decoder Header File             
*                                                                           
* NOTE: 
*                                                                           
* AUTHOR: Eduardo Montanez    LOCATION: OHT     LAST EDIT DATE: 11/19/03  
*                                                                           
* UPDATE HISTORY                                                            
* REV      	AUTHOR      DATE       	DESCRIPTION OF CHANGE                    
* ---      	------      ---------   ---------------------                    
* 1.0      	r9aabe    	11/19/03	- Original coding 
*                                                                           
******************************************************************************/


#ifndef SWDECODER_H        /*prevent duplicated includes*/
#define SWDECODER_H

/*Includes*/
#include <mc9s12c32.h>     /* derivative information */

/* External function prototypes */

extern void switch_decoder (void);

/* External Global variables */

extern char sw1;							// sw1 - switch1 flag
extern char sw2;							// sw2 - switch2 flag
extern char password;					// password - instantaneous keystroke
extern char motor;						// motor - motor status (0 - OFF (default), 1 - ON)	

#endif /*SWDECODER_H*/